`timescale 1ns / 1ps

module reg8(
   input       [25:0]   datain,
   output reg  [25:0]   dataout,
   input                clock,
   input                reset
    );

   always @ (posedge clock) begin
      if (reset)
         dataout<=0;
      else
         dataout<=datain;
   end

endmodule
